summaryrefslogtreecommitdiffstats
path: root/games/doomseeker
diff options
context:
space:
mode:
Diffstat (limited to 'games/doomseeker')
-rw-r--r--games/doomseeker/README13
-rw-r--r--games/doomseeker/doinst.sh9
-rw-r--r--games/doomseeker/doomseeker.SlackBuild100
-rw-r--r--games/doomseeker/doomseeker.info10
-rw-r--r--games/doomseeker/slack-desc19
5 files changed, 151 insertions, 0 deletions
diff --git a/games/doomseeker/README b/games/doomseeker/README
new file mode 100644
index 0000000000..b0a2399add
--- /dev/null
+++ b/games/doomseeker/README
@@ -0,0 +1,13 @@
+Doomseeker is a cross-platform server browser for Doom. The goal of
+Doomseeker is to provide a smooth, consistant experience for Doom players
+regardless of port or platform. Doomseeker provides support for Skulltag
+along with Chocolate Doom, Odamex, and Vavoom.
+
+The first time you run Doomseeker, you will have tell it the location
+of your Doom engine binaries and IWAD files. It won't look in your
+PATH for the binaries, they'll be in either /usr/bin, /usr/games,
+or similar. If you don't know where your IWAD file(s) are located,
+try /usr/share/games/doom.
+
+This requires one or both of skulltag and odamex (at least, to be useful
+for anything, it needs at least one supported Doom engine).
diff --git a/games/doomseeker/doinst.sh b/games/doomseeker/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/doomseeker/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/doomseeker/doomseeker.SlackBuild b/games/doomseeker/doomseeker.SlackBuild
new file mode 100644
index 0000000000..7485ef4f48
--- /dev/null
+++ b/games/doomseeker/doomseeker.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for doomseeker
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=doomseeker
+VERSION=${VERSION:-0.7b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Top-level dir in tarball doesn't match tarball filename
+TARDIR=${PRGNAM}-2010_src
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARDIR
+tar xvf $CWD/$PRGNAM-${VERSION}_src.tar.bz2
+cd $TARDIR
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ # Buggy cmake install target looks in wrong place for icon
+ ln -s ../media .
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+# Shared lib gets installed to wrong place, easier to fix it here than patch.
+# Also note, doomseeker violates the FHS by placing shared objects in /usr/share
+# (but I won't try to fix that).
+if [ "$LIBDIRSUFFIX" != "" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
+fi
+
+# Fix the .desktop file
+sed -i \
+ -e '/^Categories/s/$/;/' \
+ -e '/^Icon/s,=.*,=doomseeker,' \
+ $PKG/usr/share/applications/*desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+ln -s ../$PRGNAM/icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Not only do they not ship docs, there aren't really any on their
+# web site, either. At least the GUI's easy to figure out.
+cp -a LICENSE* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/doomseeker/doomseeker.info b/games/doomseeker/doomseeker.info
new file mode 100644
index 0000000000..6a8e1b6090
--- /dev/null
+++ b/games/doomseeker/doomseeker.info
@@ -0,0 +1,10 @@
+PRGNAM="doomseeker"
+VERSION="0.7b"
+HOMEPAGE="http://doomseeker.drdteam.org/"
+DOWNLOAD="http://doomseeker.drdteam.org/files/doomseeker-0.7b_src.tar.bz2"
+MD5SUM="f46d2834938ce2d66b0078c8dcecfc34"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/doomseeker/slack-desc b/games/doomseeker/slack-desc
new file mode 100644
index 0000000000..1829500c19
--- /dev/null
+++ b/games/doomseeker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+doomseeker: Doomseeker (server browser for Doom)
+doomseeker:
+doomseeker: Doomseeker is a cross-platform server browser for Doom. The goal of
+doomseeker: Doomseeker is to provide a smooth, consistant experience for Doom
+doomseeker: players regardless of port or platform. Doomseeker provides support
+doomseeker: for Skulltag along with Chocolate Doom, Odamex, and Vavoom.
+doomseeker:
+doomseeker:
+doomseeker:
+doomseeker:
+doomseeker: